%define docver 1.8.5

Name: gnucash
Summary: GnuCash is an application to keep track of your finances.
Version: 1.8.12
Release: 3.ydl.1
License: GPL/GFDL
Group: Applications/Productivity
Source: http://www.gnucash.org/pub/gnucash/sources/unstable/%{name}-%{version}.tar.gz
Source1: http://www.gnucash.org/pub/gnucash/sources/unstable/%{name}-docs-%{docver}.tar.gz
Patch3: gnucash-1.8.11-icon.patch
Patch4: gnucash-1.8.6-64bit-fixes.patch
Patch5: gnucash-1.8.12-aq.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: g-wrap-devel >= 1.3.2, gtkhtml-devel >= 1.1.4,
BuildPrereq: Guppi-devel, gal-devel, libxml-devel, db4-devel
BuildPrereq: libglade-devel, libghttp-devel, python-devel, libtermcap-devel
BuildPrereq: readline-devel, autoconf
BuildPrereq: libofx-devel, aqbanking-devel, docbook-style-xsl
BuildPrereq: libtool-ltdl-devel, GConf-devel
BuildRequires: desktop-file-utils, scrollkeeper
Requires: slib >= 3a1-5
Prereq: /sbin/ldconfig, scrollkeeper >= 0.3.4
%define __perl_requires  %{nil}
Obsoletes: gnucash-backend-postgres

%description
GnuCash is a personal finance manager. A check-book like register GUI
allows you to enter and track bank accounts, stocks, income and even
currency trades. The interface is designed to be simple and easy to
use, but is backed with double-entry accounting principles to ensure
balanced books.

%prep
%setup -q -a 1
%patch3 -p1 -b .icon
%patch4 -p1 -b .64bit
%patch5 -p1 -b .aq

%build
autoconf
%configure --disable-sql --enable-error-on-warning=no \
	--enable-ofx \
	--enable-hbci

make LIBTOOL=/usr/bin/libtool CC=gcc

cd gnucash-docs-%{docver}
autoconf-2.13
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT LIBTOOL=/usr/bin/libtool

%find_lang %{name}

cd gnucash-docs-%{docver}
make install DESTDIR=$RPM_BUILD_ROOT || :

# vfolder desktop file install stuff
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications/
desktop-file-install --vendor gnome --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications       \
  --add-category X-Red-Hat-Extra                      \
  --add-category Application                         \
  --add-category Office                               \
  $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Applications/gnucash.desktop
echo "StartupWMClass=GnuCash" >> $RPM_BUILD_ROOT%{_datadir}/applications/gnome-gnucash.desktop

rm -rf $RPM_BUILD_ROOT/%{_infodir} \
      $RPM_BUILD_ROOT/%{_includedir} \
      $RPM_BUILD_ROOT/%{_datadir}/aclocal \
      $RPM_BUILD_ROOT/var/scrollkeeper \
      $RPM_BUILD_ROOT/%{_libdir}/lib*.a \
      $RPM_BUILD_ROOT/%{_libdir}/gnucash/lib*.a

rm -rf $RPM_BUILD_ROOT/usr/lib/debug
      
%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
/usr/bin/scrollkeeper-update -o %{_datadir}/omf/gnucash-docs

%postun
/sbin/ldconfig
/usr/bin/scrollkeeper-update

%files -f %{name}.lang
%defattr(-,root,root,755)
%{_bindir}/*
%{_libexecdir}/gnucash
%{_libdir}/*
#%exclude /usr/lib/debug
%{_datadir}/gnucash
%{_datadir}/gnome/help/gnucash
%{_datadir}/mime-info/gnucash.*
%{_datadir}/omf/gnucash-docs
%{_datadir}/pixmaps/gnucash
%{_datadir}/applications/*
%{_mandir}/man*/*
%config %{_sysconfdir}/gnucash
%doc AUTHORS COPYING ChangeLog ChangeLog.1 HACKING NEWS README README.patches
%doc doc/README.german doc/README.francais doc/guile-hackers.txt

%changelog
* Tue Jul 11 2006 Tim Renner <trenner@terrasoftsolutions.com>
- Removed /usr/lib/debug as it was causing build problems

* Mon Feb 20 2006 Bill Nottingham <notting@redhat.com> - 1.8.12-3
- rebuild against g-wrap-1.9.6

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.8.12-2.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.8.12-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Jan 13 2006 Bill Nottingham <notting@redhat.com> 1.8.12-2
- disable postgres backend (#177646)

* Thu Dec 22 2005 Bill Nottingham <notting@redhat.com> 1.8.12-1
- update to 1.8.12

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Sep  9 2005 Bill Nottingham <notting@redhat.com> 1.8.11-4
- with new slib, umb-scheme is no longer needed. Switch requirement.

* Tue Apr 12 2005 Bill Nottingham <notting@redhat.com> 1.8.11-3
- require umb-scheme explicitly (#151465)
- rebuild against new postgresql
- use full path to icon (#154587)

* Mon Mar  7 2005 Bill Nottingham <notting@redhat.com> 1.8.11-2
- rebuild against bonobo-less Guppi, gtkhtml

* Wed Feb  9 2005 Bill Nottingham <notting@redhat.com> 1.8.11-1
- update to 1.8.11
- update docs to 1.8.5
- remove info file (#123444)

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Apr 13 2004 Bill Nottingham <notting@redhat.com> 1.8.9-1
- update to 1.8.9

* Sat Mar 20 2004 Bill Nottingham <notting@redhat.com> 1.8.8-5
- reinstate libtool helper files (#118495)

* Fri Mar 12 2004 Bill Nottingham <notting@redhat.com> 1.8.8-4
- rebuild against separate libofx/openhbci

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Dec 23 2003 Bill Nottingham <notting@redhat.com>
- add a 64-bit patch from mandrake

* Wed Dec  3 2003 Bill Nottingham <notting@redhat.com> 1.8.8-2
- rebuild

* Tue Dec  2 2003 Bill Nottingham <notting@redhat.com> 1.8.8-1
- update to 1.8.8

* Tue Sep 23 2003 Bill Nottingham <notting@redhat.com> 1.8.7-1
- update to 1.8.7
- fix docs build

* Wed Aug 20 2003 Bill Nottingham <notting@redhat.com> 1.8.5-1
- update to 1.8.5

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed May 28 2003 Bill Nottingham <notting@redhat.com> 1.8.4-1
- update to 1.8.4

* Mon May 19 2003 Bill Nottingham <notting@redhat.com> 1.8.3-1
- update to 1.8.3

* Mon Mar 24 2003 Bill Nottingham <notting@redhat.com> 1.8.2-1
- update to 1.8.2

* Thu Mar 20 2003 Tim Waugh <twaugh@redhat.com> 1.8.1-4
- Build requires openjade-devel (new openjade sub-package).
- Rebuild against new OpenSP.

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- debuginfo rebuild

* Sun Feb 23 2003 Bill Nottingham <notting@redhat.com> 1.8.1-2
- fix crash on hiding accounts (#84931, patch from upstream)

* Tue Feb 11 2003 Bill Nottingham <notting@redhat.com> 1.8.1-1
- update to 1.8.1

* Wed Feb  5 2003 Bill Nottingham <notting@redhat.com> 1.8.0-3
- fix desktop entry (#82804)
- add startup-notification

* Tue Feb  4 2003 Bill Nottingham <notting@redhat.com> 1.8.0-1
- 1.8.0

* Tue Jan 28 2003 Bill Nottingham <notting@redhat.com> 1.7.8-3
- rebuild everywhere

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan 21 2003 Bill Nottingham <notting@redhat.com> 1.7.8-1
- 1.7.8

* Tue Jan 14 2003 Bill Nottingham <notting@redhat.com> 1.7.7-1
- update to 1.7.7
- add libofx, openhbci support

* Fri Dec  6 2002 Tim Waugh <twaugh@redhat.com> 1.7.5-3
- Fix desktop file (bug #69422).

* Wed Dec  4 2002 Bill Nottingham <notting@redhat.com> 1.7.5-2
- fix omf file ref to buildroot

* Tue Dec  3 2002 Bill Nottingham <notting@redhat.com> 1.7.5-1
- update to 1.7.5-1, split off postgres backend

* Mon Nov 18 2002 Bill Nottingham <notting@redhat.com> 1.6.8-3
- guile is everywhere, build everywhere
- except hammer (postgres)

* Mon Nov 11 2002 Tim Powers <timp@redhat.com> 1.6.8-2
- rebuild against guile-1.4

* Thu Nov  7 2002 Bill Nottingham <notting@redhat.com> 1.6.8-1
- update to 1.6.8-1
- stop using db1

* Thu Oct 24 2002 Jeremy Katz <katzj@redhat.com>
- build against new gtkhtml

* Sat Aug 10 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- bzip2 source

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 16 2002 Bill Nottingham <notting@redhat.com>
- autoconf fun

* Mon Apr  8 2002 Bill Nottingham <notting@redhat.com>
- rebuild in new environment against fixed guile, g-wrap

* Thu Mar 14 2002 Bill Nottingham <notting@redhat.com>
- rebuild in new environment

* Mon Mar 11 2002 Bill Nottingham <notting@redhat.com>
- update to 1.6.6

* Fri Feb 22 2002 Bill Nottingham <notting@redhat.com>
- rebuild

* Mon Dec 17 2001 Bill Nottingham <notting@redhat.com>
- update to 1.6.5

* Mon Oct  1 2001 Bill Nottingham <notting@redhat.com>
- update to 1.6.4

* Mon Sep 24 2001 Bill Nottingham <notting@redhat.com>
- update to 1.6.3

* Mon Aug 13 2001 Bill Nottingham <notting@redhat.com>
- update to 1.6.2

* Thu Aug  9 2001 Bill Nottingham <notting@redhat.com>
- add patch to fix triple imports of prices from 1.4 files
  (<dave@krondo.com>)

* Thu Jul 19 2001 Bill Nottingham <notting@redhat.com>
- tweak buildprereqs

* Sun Jul  8 2001 Bill Nottingham <notting@redhat.com>
- update to 1.6.1
- fix info dir (#47646)
- fix library dependencies

* Fri Jun 29 2001 Bill Nottingham <notting@redhat.com>
- don't own %%{_infodir}/dir

* Wed Jun 27 2001 Bill Nottingham <notting@redhat.com>
- add info dir entry

* Mon Jun 18 2001 Bill Nottingham <notting@redhat.com>
- update to 1.6.0, merge in stuff from included spec file

* Mon Feb  5 2001 Adrian Havill <havill@redhat.com>
- added Japanese locale

* Thu Jan 11 2001 Tim Powers <timp@redhat.com>
- exclude ia64

* Wed Dec  6 2000 Tim Powers <timp@redhat.com>
- updated to 1.4.9

* Mon Oct 23 2000 Tim Powers <timp@redhat.com>
- update to 1.4.8

* Wed Sep 13 2000 Tim Powers <timp@redhat.com>
- update to 1.4.6

* Wed Aug 2 2000 Tim Powers <timp@redhat.com>
- rebuilt against libpng-1.0.8

* Mon Jul 31 2000 Tim Powers <timp@redhat.com>
- updated to 1.4.3, bugfix release

* Tue Jul 25 2000 Tim Powers <timp@redhat.com>
- ExcludeArch alpha

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 17 2000 Tim Powers <timp@redhat.com>
- fixed defattr for the stuff in /usr/bin

* Wed Jul 12 2000 Tim Powers <timp@redhat.com>
- update to 1.4.2

* Tue Jul 11 2000 Tim Powers <timp@redhat.com>
- rebuilt 

* Wed Jul 05 2000 Preston Brown <pbrown@redhat.com>
- adopted for Powertools 7.0
